<div class="col-xl-12 c-alert pl-0 pr-0">
  <app-alert [message]="message" [type]="type" class="custom-alert" id="alert"></app-alert>
</div>
<block-ui message="Loading">
  <div id="test" class="main-wrapper">

    <div class="appt-header-wrapper">
      <app-appoinment-header (buttonClick)="headerButtonClick($event)"
                             [fromDashboard]="fromDashboard" [waitListCount]="waitList.length"></app-appoinment-header>
    </div>

    <div #schedularWrapper class="content-wrapper">
      <kendo-splitter class="splitter-pane">
        <kendo-splitter-pane class="pttr-splitter-pane" [size]="panelSize" [resizable]="false">

          <!-- Practitioner List -->
          <app-practitioner-list *ngIf="!isDisplayRoom" #practitionerListComponent [isCustomSortEnabled]="isCustomPractitionerSort"
                                 [initFromHistory]="initFromHistory"
                                 (isEmptyPractitioner)="checkPractitioner($event)"
                                 (resourceLoaded)="resourceReady($event)"
                                 [fromDashboard]="fromDashboard"
                                 (togglePanel)="togglePractitionerPanel($event)"></app-practitioner-list>

          <!-- Room list -->
          <app-room-list *ngIf="isDisplayRoom" #practitionerListComponent
                         [dataSource]="getAppointments()"
                                 [initFromHistory]="initFromHistory"
                                 (isEmptyPractitioner)="checkTreatmenrRoom($event)"
                                 (resourceLoaded)="resourceReadyTr($event)"
                                 [fromDashboard]="fromDashboard"
                                 (togglePanel)="togglePractitionerPanel($event)"></app-room-list>
        </kendo-splitter-pane>

        <kendo-splitter-pane class="sdlr-pane" [resizable]="false">
          <div id="schedular-wrapper" class="schedular-wrapper h-100">
            <app-schedular-header #headerComponent (viewChange)="setCurrentView($event)"
                                  (dateChange)="changeCurrentDate($event)"
                                  (clickSchedulerSetting)="clickSchedulerSetting($event)">
            </app-schedular-header>

            <!-- DISPLAY WHILE FETCHING LIST & WHEN NO PRACTITIONER -->
            <app-empty-practitioner [title]="guideTitle" [message]="guideMsg" [url]="guideUrl"
                                    [urlTitle]="guideUrlTitle" [queryParams]="guideQP" [state]="routerState"
                                    *ngIf="(isNoPractitioner || isNoTreatmentRoom) && !isFirst">
            </app-empty-practitioner>

            <!-- [hidden]="isNoPractitioner"-->
            <div class="scheduler-main-wrapper">
              <div class="waiting-room-container" [class.active]="isOpenWaitingRoomTry">
                <div class="waiting-room-tray-container h-100">
                  <!-- BOTTOM PENDING COUNT BUTTON -->
                  <div class="pending-button" *ngIf="isShowWaitRoom">
                    <kendo-badge-container class="pending-btn-badge-container">
                      <button
                              *appAccess="APPT_BASIC; lookFor: _any"
                        class="bg-transparent border-0 w-100 h-100 text-white d-flex align-items-center justify-content-center"
                        (click)="toggleWaitingRoomTray()">
                        <mat-icon class="m-0">access_time</mat-icon>
                        <kendo-badge class="pending-btn-badge" shape="circle" position="edge" themeColor="error">
                          <div class="pending-btn-badge-text">{{waitingRoomCount}}</div>
                        </kendo-badge>
                      </button>
                    </kendo-badge-container>
                  </div>

                  <app-waiting-room *ngIf="isOpenWaitingRoomTry" [data]="waitingRoomAppts" [practitioners]="resource"
                                    (editAppt)="waitingRoomEditAPpt($event)"></app-waiting-room>
                </div>
              </div>

              <div class="time-panel-content-seprator">
                <i class="fa fa-clock-o test"></i>
              </div>
              <div class="time-panel-content-bottom-seprator"></div>

              <ng-template #template let-anchor>
                <span>{{ anchor.nativeElement.getElementsByClassName('date-time')[0] ?
                  anchor.nativeElement.getElementsByClassName('date-time')[0].getAttribute("title") : ""}}</span>
              </ng-template>
              <div kendoTooltip showOn="none" tooltipClass="hovered-time-tooltip" [callout]="false"
                   [tooltipTemplate]="template" filter=".appoinment-sdlr .dx-scheduler-date-table td"
                   (mouseleave)="leaveMouseFromTimeTooltipContainer($event)" (mouseover)="showTooltip($event)">

                <dx-scheduler class="appoinment-sdlr" [ngClass]="{
                    'small': timeSlotSize === 'Small',
                    'medium': timeSlotSize === 'Medium',
                    'large': timeSlotSize === 'Large',
                    'big': timeSlotSize === 'Big',
                    'day-view': manageScheduleService.getCurrentView() === 'day',
                    'schedule': selectedHeaderButton === SCHEDULE,
                    'all-day': isShowAllDayPanel
                  }" [visible]="!isNoPractitioner && !isNoTreatmentRoom" [showCurrentTimeIndicator]="true" [timeZone]="timeZone"
                              [dataSource]="dataSource" [currentView]="currentViewT"
                              [showAllDayPanel]="isShowAllDayPanel"
                              [currentDate]="currentDate" [firstDayOfWeek]="1" [startDayHour]="startTime"
                              [endDayHour]="endTime"
                              [height]="height" [groups]="!isDisplayRoom ? ['practitionerId'] : ['treatmentRoomId']" [cellDuration]="cellDuration"
                              [groupByDate]="isSecondTypeGroup" dataCellTemplate="dataCellTemplate"
                              timeCellTemplate="timeCellTemplate" dateCellTemplate="dateCellTemplate"
                              resourceCellTemplate="resourceTemplate" appointmentTemplate="appointment-template"
                              appointmentTooltipTemplate="tooltip-template"
                              (currentViewChange)="viewsChange($event)"
                              (onAppointmentFormOpening)="openApptForm($event)"
                              (onCellClick)="cellClick($event)"
                              (onAppointmentRendered)="appointmentRender($event)"
                              (onContentReady)="onSdlrContentReady($event)"
                              (onAppointmentClick)="appoinmentlClick($event)"
                              (onAppointmentDblClick)="appoinmentlDblClick($event)"
                              [crossScrollingEnabled]="true" maxAppointmentsPerCell="unlimited">

                  <!-- VIEWS -->
                  <dxi-view type="day" name="day" groupOrientation="horizontal">
                  </dxi-view>
                  <dxi-view type="workWeek" name="M-F" groupOrientation="horizontal">
                  </dxi-view>
                  <dxi-view type="week" name="Week" groupOrientation="horizontal">
                  </dxi-view>
                  <!-- Disable CRD -->
                  <dxo-editing [allowUpdating]="true" [allowAdding]="true" [allowDeleting]="true"
                               [allowDragging]="false" [allowResizing]="false"></dxo-editing>

                  <dxi-resource [dataSource]="!isDisplayRoom ? resource : resourceTr" [fieldExpr]="isDisplayRoom ? 'treatmentRoomId' : 'practitionerId'" [allowMultiple]="false"
                                label="Practitioner">
                  </dxi-resource>

                  <!-- RESOURCE TEMPLATE -->
                  <div *dxTemplate="let template of 'resourceTemplate'">

                    <!-- PRACTIONER INFO TEMPLATE -->
                    <div class="practioner-template text-center p-0" [class.header-row-seperator]="!isSecondTypeGroup">
                      <div class="practioner-wrapper d-flex align-items-center justify-content-center">
                        <div *ngIf="!isDisplayRoom" #element class="d-flex align-items-center pttr-avatar-wrapper"
                             [attr.practitioner-id]="template.data.id">
                          <kendo-avatar *ngIf="!template.data.photo" class="practioner-sdlr-avatar" width="42px"
                                        height="42px" shape="circle" [initials]="template.data.initial"
                                        (mouseenter)="togglePttrStatics(element, template.data)"
                                        (mouseleave)="togglePttrStatics(element, template.data, true)"></kendo-avatar>
                          <kendo-avatar *ngIf="template.data.photo" class="practioner-sdlr-avatar" width="42px"
                                        height="42px" shape="circle" [imageSrc]="template.data.photo"
                                        (mouseenter)="togglePttrStatics(element, template.data)"
                                        (mouseleave)="togglePttrStatics(element, template.data, true)"></kendo-avatar>
                        </div>
                        <a role="button" class="practioner-name text-left text-decoration-none hr-font"
                           (click)="openInDayViewWithPrctioner(template.data)">
                          {{template.data.practitionerName}}
                        </a>


                        <kendo-badge-container *ngIf="!isDisplayRoom">
                          <kendo-badge class="appoinment-count-badge" shape="pill" position="outside" [themeColor]="template.data.patientWaitListCount === 0 ? 'light' : 'warning'">
                            {{template.data.patientWaitListCount}}
                          </kendo-badge>
                        </kendo-badge-container>
                        <a role="button" class="pl-5 text-black text-decoration-none"
                           *ngIf="template.data.isShowOnlyThis" (click)="openInDayViewWithPrctioner(template.data)">
                          <i class="fa fa-times"></i>
                        </a>
                      </div>
                    </div>
                  </div>

                  <div *dxTemplate="let dataCell of 'dataCellTemplate'" class="data-template seprator date-time"
                       title="{{dataCell.startDate | timeFormat: 'h:mm A':false:false}}">
                  </div>

                  <div class="appt-template-container type-{{model.appointmentData.type}}"
                       [class]=""
                       [ngClass]="getApptStatus(model.targetedAppointmentData) == STATUS_COMPLETED ? 'pi-'+model.appointmentData.practitionerId +' status-1' : 'pi-'+model.appointmentData.practitionerId"
                       *dxTemplate="let model of 'appointment-template'">

                    <svg
                      *ngIf="model.targetedAppointmentData.type == TYPE_APPT && getApptStatus(model.targetedAppointmentData) == STATUS_MISSED"
                      style="width: 100%; height: 100%;position: absolute;">
                      <line x1="0" y1="100%" x2="100%" y2="0" style="stroke:rgb(0,0,0);stroke-width:1"/>
                      <line x1="0" y1="0" x2="100%" y2="100%" style="stroke:rgb(0,0,0);stroke-width:1"/>
                    </svg>

                    <div class="hours-line-wrapper" [attr.data-modal]="model | json">
                      <ng-container
                        *ngIf="model.appointmentData.type == TYPE_SCHEDULE && selectedHeaderButton != SCHEDULE">
                        <table class="w-100 h-100">
                          <tbody>
                          <tr #demmyCell class="dummy-minute-hour-line minute-seprator appt-sdlr-cell"
                              [class.small-cell]="timeSlotSize == 'Small'"
                              [class.medium-cell]="timeSlotSize == 'Medium'"
                              [class.large-cell]="timeSlotSize == 'Large'" [class.big-cell]=" timeSlotSize == 'Big'"
                              [style.height.px]="getCellSize"
                              [class.start-new-hour]="getMinuteForDummyCell(model.targetedAppointmentData, num) == 0 && num != 0"
                              (click)="cellClick(model.targetedAppointmentData, num, demmyCell,true, $event)"
                              *ngFor="let num of range(0, timeDiff(model.targetedAppointmentData.startDate, model.targetedAppointmentData.endDate)+1, 1)">
                            <td>
                              <div class="date-time" [title]="getTimeForDummyCell(model.appointmentData, num)"></div>
                            </td>
                          </tr>
                          </tbody>
                        </table>
                      </ng-container>
                    </div>
                    <div class="d-flex h-100">
                      <div class="pttr-profile-container" *ngIf="isDisplayRoom" style="position: relative; width: 39px; background: #E9E4F5;">
                        <ng-container>
                          <table class="w-100 h-100">
                            <tbody>
                            <tr #demmyCell class="dummy-minute-hour-line minute-seprator appt-sdlr-cell"
                                [class.small-cell]="timeSlotSize == 'Small'"
                                [class.medium-cell]="timeSlotSize == 'Medium'"
                                [class.large-cell]="timeSlotSize == 'Large'" [class.big-cell]=" timeSlotSize == 'Big'"
                                [style.height.px]="getCellSize"
                                [class.start-new-hour]="getMinuteForDummyCell(model.targetedAppointmentData, num) == 0 && num != 0"
                                *ngFor="let num of range(0, timeDiff(model.targetedAppointmentData.startDate, model.targetedAppointmentData.endDate)+1, 1)">
                              <td>
                                <div class="date-time" [title]="getTimeForDummyCell(model.appointmentData, num)"></div>
                              </td>
                            </tr>
                            </tbody>
                          </table>
                        </ng-container>

                        <div class="profiles-wrapper d-flex align-items-center justify-content-center" style="position: absolute; top: 0; bottom: 0; left: 0; right: 0;">
                          <kendo-avatar [class.small-initial]="getTimeDiff(model.targetedAppointmentData.startDate, model.targetedAppointmentData.endDate) < 29" [size]="getTimeDiff(model.targetedAppointmentData.startDate, model.targetedAppointmentData.endDate) >= 29 ? 'medium' : 'small'" *ngIf="!getPractitionerImage(model.targetedAppointmentData.practitionerId)" shape="circle" [initials]="getPractitionerImage(model.targetedAppointmentData.practitionerId, true)"></kendo-avatar>
                          <kendo-avatar [size]="getTimeDiff(model.targetedAppointmentData.startDate, model.targetedAppointmentData.endDate) >= 29 ? 'medium' : 'small'" *ngIf="getPractitionerImage(model.targetedAppointmentData.practitionerId)" [imageSrc]="getPractitionerImage(model.targetedAppointmentData.practitionerId)"></kendo-avatar>
                        </div>

                      </div>
                      <div class="schedule-save-btn-wrapper d-flex align-items-center"
                           [style.background-color]="apptVerticleLineColor(model.targetedAppointmentData)">
                        <button class="schedule-save-btn w-100 h-100 border-0"
                                *ngIf="model.appointmentData.mode == SCHEDULE_MODE_EDIT && isDateIqual(model.targetedAppointmentData)">
                          <svg width="20" height="14" viewBox="0 0 20 14" fill="none" xmlns="http://www.w3.org/2000/svg"
                               *ngIf="selectedHeaderButton == SCHEDULE && model.appointmentData.type == TYPE_SCHEDULE">
                            <path fill-rule="evenodd" clip-rule="evenodd"
                                  d="M19.4467 3.10377L8.64553 13.4717C7.9117 14.1761 6.69628 14.1761 5.93951 13.4717L0.550379 8.29874C-0.18346 7.59434 -0.18346 6.42767 0.550379 5.70126C1.28422 4.99685 2.49964 4.99685 3.25641 5.70126L7.31545 9.59748L16.7636 0.528302C17.4975 -0.176101 18.7129 -0.176101 19.4697 0.528302C20.1806 1.2327 20.1806 2.39937 19.4467 3.10377Z"
                                  fill="#FAFAFA"/>
                          </svg>
                          <img [attr.condition1]="model.appointmentData.type != TYPE_BREAK"
                               [attr.condition2]="model.appointmentData.type != TYPE_APPT"
                               src="./assets/ic-edit-break.png"
                               [hidden]="model.appointmentData.type != TYPE_BREAK && model.appointmentData.type != TYPE_APPT"/>
                        </button>
                      </div>
                      <div class="d-flex flex-fill">
                        <div class="schedule-content-container flex-fill">
                          <div class='title-wrapper' [class.d-flex]="model.appointmentData.type == TYPE_APPT">
                            <div [class.flex-fill]="model.appointmentData.type == TYPE_APPT">
                              <i class="fa fa-calendar mr-2" aria-hidden="true"
                                 *ngIf="model.appointmentData.type == TYPE_HOLIDAY"></i>
                              <span class="title helvetica-neue-regular"
                                    [class.text-white]="model.appointmentData.type == TYPE_APPT"
                                    [class.font-weight-bold]="model.appointmentData.type == TYPE_BREAK">{{model.appointmentData.type == TYPE_APPT && isShowPatientName ? model.appointmentData.appointmentsExtraDetails.patientFullNameWithTitle : model.appointmentData.title}}</span>
                            </div>
                          </div>
                          <!-- APPOINTMENTS TREATMENT SERVICE & PRODUCTS DETAILS -->
                          <div class="appt-tps-wrapper" *ngIf="model.appointmentData.type == TYPE_APPT">
                            <div class="m-0" style="font-size: 12px; color: #ffffff;"
                                 *ngFor="let ps of model.appointmentData.treatmentDetails.treatmentServiceProduct">
                              {{ps.treatmentServiceProductsExtra.productCode || ps.treatmentServiceProductsExtra.serviceCode}}
                              -
                              {{ps.treatmentServiceProductsExtra.productName || ps.treatmentServiceProductsExtra.serviceName}}
                            </div>
                          </div>
                          <div class='showtime-preview helvetica-neue-regular'
                               *ngIf="model.appointmentData.type == TYPE_SCHEDULE || (model.appointmentData.type == TYPE_BREAK && getTimeDiff(model.appointmentData.startDate, model.appointmentData.endDate) >= 29)">
                            <span>{{model.appointmentData.startDate | timeFormat: 'hh:mm A':false:true}}</span>
                            <span> - </span>
                            <span>{{model.appointmentData.endDate | timeFormat: 'hh:mm A':false:true}}</span>
                          </div>
                          <div class="appt-notes helvetica-neue-regular"
                               *ngIf="model.appointmentData.type == TYPE_SCHEDULE || model.appointmentData.type == TYPE_APPT || (model.appointmentData.type == TYPE_BREAK && getTimeDiff(model.appointmentData.startDate, model.appointmentData.endDate) >= 59)"
                               [class.text-white]="model.appointmentData.type == TYPE_APPT"
                               [class.m-0]="model.appointmentData.type == TYPE_BREAK">
                            <span>{{model.appointmentData.note}}</span>
                          </div>
                        </div>
                        <div style="padding-right: 9px; padding-top: 2px;"
                             *ngIf="model.appointmentData.recurrenceRule && model.appointmentData.recurrenceRule.length > 0">
                          <img src="./assets/ic_reccure_appt.png"
                               *ngIf="selectedHeaderButton == SCHEDULE && model.appointmentData.type == TYPE_SCHEDULE"/>
                          <img src="./assets/ic-recurre-schedule-normal-mode.png"
                               *ngIf="selectedHeaderButton != SCHEDULE && model.appointmentData.type == TYPE_SCHEDULE"/>
                          <img src="./assets/ic-recurre-break.png" *ngIf="model.appointmentData.type == TYPE_BREAK"/>
                          <img src="./assets/appointment/flags/recurre.png"
                               *ngIf="model.appointmentData.type == TYPE_APPT"/>
                        </div>

                        <!-- APPOINTMENTS FLAGS -->
                        <div class="appt-flags-wrapper" *ngIf="model.appointmentData.type == TYPE_APPT">
                          <img src="./assets/appointment/flags/video.png" style="margin-top: -3px;"
                               *ngIf="model.appointmentData.telehealth"/>
                          <img src="./assets/appointment/flags/star.png" style="margin-top: -3px;"
                               *ngIf="model.appointmentData.appointmentsExtraDetails.isNewPatientFlag"/>
                          <img src="./assets/scheduler-legends/treatment_notes.png"
                               *ngIf="model.appointmentData.appointmentsExtraDetails.isTreatmentNotesFlag === STATUS_DRAFT"/>
                          <img src="./assets/scheduler-legends/tn_finalised.png"
                               *ngIf="model.appointmentData.appointmentsExtraDetails.isTreatmentNotesFlag === STATUS_FINALISE"/>
                          <img src="./assets/scheduler-legends/letter_draft.png.png"
                               *ngIf="model.appointmentData.appointmentsExtraDetails.isLetterFlag === STATUS_DRAFT"/>
                          <img src="./assets/scheduler-legends/letter_finalised.png"
                               *ngIf="model.appointmentData.appointmentsExtraDetails.isLetterFlag === STATUS_FINALISE"/>
                          <img src="./assets/appointment/Needs-Attention-Gif.gif" style="width: 14px; margin-top: -3px;"
                               *ngIf="isNeedAttention(model.targetedAppointmentData)"/>
                          <img [src]="getConfStatusFlag(model.targetedAppointmentData)"
                               style="margin-top: -3px; margin-right: 1px;"/>
                        </div>
                      </div>
                    </div>
                  </div>

                  <div *dxTemplate="let dateCell of 'dateCellTemplate'">
                    <div class="date-template text-left d-flex align-items-center"
                         [ngClass]="!isSecondTypeGroup ? 'justify-content-center pl-0 header-row-seperator' : 'header-row-seperator'">
                      <a role="button" (click)="openInDayView(dateCell.date)">{{dateCell.date | timeFormat:
                        isSecondTypeGroup ? 'ddd, D MMM YYYY' : 'ddd, D/M':false:false}}</a>
                    </div>
                  </div>

                  <div *dxTemplate="let timeCell of 'timeCellTemplate'">
                    <div class="time-cell-text" *ngIf="isDisplayTimeCell(timeCell.text)">
                      <span>{{(timeCell.text | timeFormat: (isShowHourLineLabel ? 'h' : 'H:mm'):true:false)}}</span><sup
                      *ngIf="isShowHourLineLabel"> {{timeCell.text | timeFormat: 'A':true:false}}</sup>
                    </div>
                  </div>

                  <!-- Tooltip Template -->
                  <div *dxTemplate="let model of 'tooltip-template'" (click)="preventToolTip($event)">

                  </div>

                </dx-scheduler>
              </div>
            </div>
          </div>
        </kendo-splitter-pane>
      </kendo-splitter>
    </div>
  </div>

  <div #rightAnchor class="anchor-for-ae-schedule"></div>
  <kendo-popup class="add-edit-schedule-popup" [animate]="aePopupAnimation" [anchor]="rightAnchor"
               [anchorAlign]="{horizontal: 'left', vertical: 'middle'}"
               [popupAlign]="{horizontal: 'right', vertical: 'middle'}"
               *ngIf="isDisplayAddEditSchedule">

    <div class="ae-schedule-content h-100">
      <app-add-edit-schedule [schedule]="addEditScheduleData" [targetData]="targetAddEditScheduleData"
                             [practitioners]="resource" [interval]="cellDuration" [startTime]="startTime"
                             [endTime]="endTime"
                             (cancel)="cancelSchedule()" (save)="saveSchedule($event)"></app-add-edit-schedule>
    </div>

  </kendo-popup>


  <kendo-popup class="add-edit-schedule-popup" [animate]="aePopupAnimation" [anchor]="rightAnchor"
               [anchorAlign]="{horizontal: 'left', vertical: 'middle'}"
               [popupAlign]="{horizontal: 'right', vertical: 'middle'}"
               *ngIf="isDisplayAddEditApptPopup">

    <div class="ae-schedule-content h-100">
      <app-add-edit-appointment [schedule]="addEditScheduleData" [targetData]="targetAddEditScheduleData"
                                [selectedPatient]="selectedPatient" [practitioners]="resource" [interval]="cellDuration"
                                [startTime]="startTime"
                                [endTime]="endTime" (cancel)="cancelSchedule()" (save)="saveSchedule($event)">

      </app-add-edit-appointment>
    </div>

  </kendo-popup>

  <!-- POPUP FOR WAIT LIST -->
  <kendo-popup class="add-edit-schedule-popup" [animate]="aePopupAnimation" [anchor]="rightAnchor"
               [anchorAlign]="{horizontal: 'left', vertical: 'middle'}"
               [popupAlign]="{horizontal: 'right', vertical: 'middle'}"
               *ngIf="isDisplayWaitListPopup">

    <div class="ae-schedule-content h-100">
      <app-wait-list (refresh)="refreshedData($event)"
                     (cancel)="hideWaitListPopup()"></app-wait-list>
    </div>

  </kendo-popup>


  <!-- popup for app -->
  <div #appCellPopover class="app-cell-popover create-acb-popover invisible"
       [class.wait-list]="waitListFiltered.length > 0">
    <div class="app-popover-arrow"></div>
    <div class="main-container">
      <div class="acb-popover-header-wrapper d-flex align-items-center w-100">
        <div class="header-btns d-flex flex-fill">
          <a role="button" class="normal_14px_16px_font textunderline"
             [class.text-white]="acbClickeHeaderBtn == ACB_APPT"
             (click)="acbHeaderBtnClick(ACB_APPT, false)">Appointment</a>
          <div class="divider-v"></div>
          <a role="button" class="normal_14px_16px_font textunderline"
             [class.text-white]="acbClickeHeaderBtn == ACB_CLASS" (click)="acbHeaderBtnClick(ACB_CLASS)">Class</a>
          <div class="divider-v"></div>
          <a role="button" class="normal_14px_16px_font textunderline"
             [class.text-white]="acbClickeHeaderBtn == ACB_BREAK" (click)="acbHeaderBtnClick(ACB_BREAK)">Break</a>
        </div>
        <div class="header-close-btn" (click)="closeACBPopover()">
          <img src="./assets/ic-close.png"/>
        </div>
      </div>

      <div class="content">
        <div class="clicked-cell-pttr-name normal_14px_16px_font">
          {{clickedPttrName}} - {{clickedCellTime}}
        </div>
        <div>
          <app-patient-search #acbPopupPatientSearch [isFocus]="true" [isOpen]="appCellPopoverOpen"
                              [searchValue]="SearchTextPatient"
                              (valueChanged)="onSelectPatientForAppt($event)"
                              (redirectPatient)="redirectPatient($event)"
                              (PatientSearchText)="SearchText($event)"></app-patient-search>
        </div>

        <button class="d-flex align-items-center wait-list-count-container w-100" #waitListField
                *ngIf="waitListFiltered.length > 0" (click)="isWaitListPopup = !isWaitListPopup">
          Add from Wait List ({{waitListFiltered.length}})
        </button>
      </div>
    </div>
  </div>


  <kendo-popup class="wait-list-popup" [anchor]="waitListField"
               [anchorAlign]="{horizontal: 'left', vertical: 'bottom'}"
               [popupAlign]="{horizontal: 'left', vertical: 'top'}"
               *ngIf="isWaitListPopup" (close)="isWaitListPopup = false;">

    <div class="ae-schedule-content" style="height: 200px; overflow: auto;">

      <button class="wait-list-row d-flex flex-column" *ngFor="let wl of waitListFiltered" (click)="clickWaitList(wl)">
        <div class="d-flex flex-fill w-100" style="color: #363636; font-size: 14px;">
          <mat-icon class="m-0" style="width: 18px; height: 18px; font-size: 18px; color: #A18BD6;" *ngIf="wl.highPriority">warning</mat-icon>
          <span class="flex-fill text-left" style="padding: 0 10px;">{{wl.patientName}} <span *ngIf="wl.gender">{{wl.gender.substr(0, 1)}}</span></span>
          <span>ID: {{wl.patientCode}}</span>
        </div>
        <div style="font-size: 12px; color: #828282;">Expiry: {{wl.expiryDate | timeFormat: 'DD MMM YYYY'}}</div>
      </button>

    </div>

  </kendo-popup>

  <dx-popover #pttrStaticsPopOver class="pttr-statics-popup" [width]="200" [height]="217" [shading]="false"
              [position]="{my: 'left top', at: 'left bottom'}">
    <div *dxTemplate="let data of 'content'">
      <div class="pttr-statistic-wrapper">
        <div><u>Appt count:</u></div>
        <table class="table">
          <tbody>
          <tr>
            <td>Total</td>
            <td>: 0</td>
          </tr>
          <tr>
            <td>Pending</td>
            <td>: 0</td>
          </tr>
          <tr>
            <td>Copleted</td>
            <td>: 0</td>
          </tr>
          <tr>
            <td>Missed</td>
            <td>: 0</td>
          </tr>
          <tr>
            <td>Cancelled</td>
            <td>: 0</td>
          </tr>

          </tbody>
        </table>
      </div>

      <div class="pttr-statistic-wrapper">
        <div><u>Time Utilization:</u></div>
        <table class="table">
          <tbody>
          <tr>
            <td>Scheduled hours</td>
            <td>: {{totalScheduleHour}}</td>
          </tr>
          <tr>
            <td>Worked hours</td>
            <td>: 0</td>
          </tr>
          <tr>
            <td>Pending hours</td>
            <td>: 0</td>
          </tr>
          <tr>
            <td>Overtime</td>
            <td>: 0</td>
          </tr>
          </tbody>
        </table>
      </div>
    </div>
  </dx-popover>
</block-ui>

<!-- APPOINTMENT TOOLTIP POPUP -->
<dx-popover
  #apptTooltipPopop
  class="appt-tooltip-popup"
  [minWidth]="324"
  [minHeight]="450"
  [width]="324"
  [height]="450"
  [shading]="false"
  (onHidden)="apptTooltipHide()"
>
  <div *dxTemplate="let data of 'content'" class="h-100">
    <div class="maincontainer h-100">
      <app-appointment-tooltip *ngIf="apptTooltipPopop.visible" [mainAppt]="addEditScheduleData"
                               [data]="targetAddEditScheduleData"
                               [practitionerDetails]="practitionerDetails"></app-appointment-tooltip>
    </div>
  </div>
</dx-popover>

<ng-template #appointmentConflict>
  <div style="padding: 20px;">
    <div>The selected time slot is unavailable.</div>
    <div>Please choose a different time slot to create the appointment.</div>
  </div>
</ng-template>
